import { world, system } from "@minecraft/server";
import * as defaultWorldArrays from "../arrays/default_world_arrays.js"
import * as vehicleUtilities from "../utilities/vehicle_utilities.js"

system.runInterval(() => {
	for (const dim of defaultWorldArrays.addonDimensions) {
		const entities = world.getDimension(dim).getEntities();
		for (const vehicle of entities) {
			vehicleUtilities.vehiclesMainComponents(vehicle);
		}
	}
}, 0);